<script>
export default {
  name: `admin-user-card`,
  props: {
    user: { type: Object, required: true },
  },
  computed: {
    roles() {
      return this.user.roles.map((r) => r.name);
    }
  },
}
</script>

<template>
  <v-card
    class="card mx-auto"
    :color="`grey ${$vuetify.theme.dark ? 'darken' : 'lighten'}-3`"
  >
    <v-card-text>
      <v-row no-gutters align="center">
        <div label>
          <span class="font-weight-bold">{{ user.username }}</span>
          <span class="ml-1">• {{ user.email }}</span>
        </div>
        <v-spacer />
        <div class="font-italic grey--text">{{ roles.join(`, `) }}</div>
      </v-row>
    </v-card-text>
  </v-card>
</template>
